Description

The attached patch adds links to administration pages such as /users, /trackers, /custom_fields, and /enumerations.

Currently, users can see existing objects such as users, trackers, custom_fields, and time tracking activities. But if they find that a
custom field they want use has not been created yet, they have to click "Administration” > "Custom Fields" to create a new one. The

operation is a bit of trouble. In addition, they should know the page where they can create custom fields.

This patch resolves the problem by adding "Administration” link to some tabs as follows. With this links, users can quickly go to the

appropriate admin page without an extra click and deep knowledge about the administration of Redmine.

tab

position

link destination

Members

above the table

/users

Issue tracking

in the "Trackers" box

/trackers

Issue tracking

in the "Custom fields" box

/custom_fields

Time tracking

above the table

/enumerations

Settings

Members
New member

User / Group
John Smith

Dave Lopper

Manager
Developer

Developer

Roles

_# Administration

Edit Delete
Edit Delete
Edit Delete

Settings

Trackers

@ Bug
aaaa

Custom fields

Searchable field
Custom date

Default version none

Default assignee none

Issue tracking

@ Feature request

Database
@ Project 1 cf

@ Support request

Float field
@ HERE

s Administration

3 Administration

2025-07-06
Settings

Time tracking

Resetf -k Administration
Name System Activity Billable v Active
Design v [V ] (/]
Development <] (/]
QA v Yes |4 (V]
Inactive Activity [T
Save
Related issues:
Related to Redmine - Feature #22090: Make project settings more accessible Closed
Related to Redmine - Feature #32306: Add a link to projects administration pa... Closed
Related to Redmine - Patch #5068: add link to Users on Member page. Closed 2010-03-13

Associated revisions

Revision 18305 - 2019-06-20 18:44 - Jean-Philippe Lang
Add links to administration pages in project settings (#30203).

Patch by Go MAEDA.

History

#1 - 2018-12-13 11:41 - Go MAEDA

The patch does not check the admin flag. | will update the patch soon.

#2 - 2018-12-13 13:31 - Go MAEDA
- File add-link-to-administration-pages.diff added

Go MAEDA wrote:

The patch does not check the admin flag. | will update the patch soon.

Here is an updated patch.

#3 - 2018-12-13 13:31 - Go MAEDA
- File deleted (add-link-to-administration-pages.diff)

#4 - 2019-05-06 11:11 - Go MAEDA
- Related to Feature #22090: Make project settings more accessible added

#5 - 2019-06-02 03:05 - Go MAEDA

- Target version set to Candidate for next major release

#6 - 2019-06-09 13:12 - Go MAEDA

- Target version changed from Candidate for next major release to 4.1.0

Let's include this feature in 4.1.0.

#7 - 2019-06-20 18:44 - Jean-Philippe Lang
- Status changed from New to Closed

- Assignee set to Jean-Philippe Lang

Committed, thanks.

#8 - 2019-10-26 09:25 - Go MAEDA
- Related to Feature #32306: Add a link to projects administration page on projects page added

#9 - 2020-03-05 23:11 - Go MAEDA
- Related to Patch #5068: add link to Users on Member page. added
